Subject: Re: bug#14567: Scrolling of large images

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jun 2013 18:14:20 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 17 Jun 2013 06:57:21 +0200
> 
> > I'm confused: didn't you want C-f/C-b and the arrows to scroll images
> > in modes other than image-mode?  I mentioned image-mode only as
> > example of usage of set-window-hscroll, since image-mode already binds
> > the movement keys to a command that scrolls the image horizontally.
> Which command?

This one:

> I see that forward-char is remapped to image-forward-hscroll and same
> for backward-char

> but it is not working because auto-hscroll-mode is
> not set correctly. 

Horizontal scrolling works just fine for me without any changes, when
I visit an image file (which automatically puts the buffer into
image-mode).  If this is the use case you were talking about, then our
observations don't match.

> > If so, why are you suggesting changes to image-mode?
> To allow navigation with C-f/b and left/right which is not working actually. 

They do for me, in image-mode.  The challenge is to support that in
other modes.